import { expect, type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';

export class DuplicateCheckPage extends BasePage {
    readonly page: Page;
    readonly newClaimButton: Locator;
    issPageValue = 'duplicate-check';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.newClaimButton = page.locator('label').filter({ hasText: 'Start a new claim' }).locator('div');
        // this.validateURL(this.url);
    }

    async startNewClaim(){
        await this.newClaimButton.click();
        await this.page.waitForLoadState();
    }
}